/* ------------------------ Reset ------------------------ */
html, body {
    margin: 0;
    padding: 0;
    background-color: rgb(0, 39, 60);
}

section {
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 100vw;
}

.main_container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 90vw;
    max-width: 1440px;
}

/* ------------------------ Typography ------------------------ */
html, body {
    font-family: 'Afacad bold', 'Montserrat', sans-serif;
    font-weight: 300;
    font-style: normal;
    color: white;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 600;
    text-wrap: balance;
    padding: 0;
    margin: 0;
}

h1 {
    font-size: 36px;
    text-transform: uppercase;
}

h2 {
    font-size: 56px;
    text-transform: uppercase;
    margin-top: 1rem;
}

h3 {
    font-size: 32px;
    font-weight: 700;
    text-transform: uppercase;
}

h4 {
    font-size: 18px;
    font-weight: 400;
}

h5 {
    font-size: 18px;
    text-transform: uppercase;
}

h6 {
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
}

p {
    text-wrap: wrap;
    font-size: 16px;
    line-height: 24px;
}

a {
    text-decoration: none;
}

/* ------------------------ Buttons ------------------------ */

/* primary button */
.primary_button {
    background-color: rgb(194, 255, 194);
    padding: 1.5rem 1.5rem;
    border-radius: 10px;
    border: none;

    /* button font settings */
    font-size: 24px;
    font-weight: 400;
    text-transform: uppercase;
}

.primary_button a {
    color:black;
}

.primary_button:hover {
    background-color: rgb(237, 255, 237);
}

.primary_button a:hover {
    color:grey;
}

/* secondary button */
.secondary_button {
    border-color: #a48c53;
    background-color: transparent;
    padding: 1rem 1rem;
    border-radius: 10px;
    border-style: solid;
    margin-top: 1rem;

    /* button font settings */
    font-size: 18px;
    font-weight: 400;
    text-transform: uppercase;
}

.secondary_button a {
    color:white;
}

.secondary_button:hover {
    background-color: rgb(237, 255, 237);
}

.secondary_button a:hover {
    color:grey;
}

/* ------------------------ Nav Header ------------------------ */
.nav_menu {
    display: flex;
    justify-content: center;
    background-color: rgb(0, 66, 90);
    width: 100%;
    padding: 0;
}

.nav_menu ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    list-style-type: none;
    text-decoration: none;
    font-size: 24px;
    text-transform: uppercase;
}

.nav_menu a {
    color: white;
    padding: 1.25rem 1.5rem;
}

.nav_menu a:hover {
    font-weight: 600;
    background-color: RGB(0, 50, 70);
}

.nav_logo {
    display: flex;
    justify-content: center;
    padding: 2rem;
}

.nav_logo img {
    width: 60%;
}

/* Search bar */
.search_bar {
    display: flex;
    align-items: center;
    height: 100%;
    padding: .5rem 1.5rem;
}

/* ------------------------ Hero Gallery ------------------------ */
.hero_container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
}

.hero_img {
    flex: 1;
    height: 60vh;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.img1 {
    background-image: url('../images/gallery_1.jpg');
}

.img2 {
    background-image: url('../images/gallery_2.jpg');
}

.img3 {
    background-image: url('../images/gallery_3.jpg');
}

.img4 {
    background-image: url('../images/gallery_4.jpg');
}

.img5 {
    background-image: url('../images/gallery_5.jpg');
}

.img6 {
    background-image: url('../images/gallery_6.jpg');
}

/* ------------------------ About Us ------------------------ */
.about {
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.about_container, .establishment_container {
    margin-bottom: 3rem;
}

/* ------------------------ Deals ------------------------ */
.deals {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.deals_header {
    display: flex;
    margin-top: 3rem;
}

/* cards */
.hero {
    width: 100%;
    min-height: 40vh;
    margin-bottom: 0;
    background-image: url(../images/Hero_1.jpg);

/* bg image styling */
background-size: cover;
background-position: right;
background-repeat: no-repeat;

/* parallax */
background-attachment: fixed;

}

/* cards */
.cards_row {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin-top: 1.5rem;
    margin-bottom: 3rem;
}

.item {
    flex: 1;
    justify-content: center;
    text-align: center;
    margin: 1rem;
    padding: 1.5rem;
    background-image: linear-gradient(to top, #3e351f, #a48c53);
    border-radius: .5rem;
}

.item:hover {
    transform: scale(1.025);
    box-shadow: 4px 8px 24px 0 rgba(0,0,0,0.8);
    transition: all .5s ease;
}

.deal_blurb {
    height: 200px;
}

.deal_img {
    width: 100%;
    height: 230px;
    margin-bottom: 2rem;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.deal_img1 {
    background-image: url('../images/Card_1.jpg');
}

.deal_img2 {
    background-image: url('../images/Card_2.jpg');
}

.deal_img3 {
    background-image: url('../images/Card_3.jpg');
}

/* ------------------------ Promo ------------------------ */
.jagged {
    background-image: url(../images/logos/rectangle3.svg);
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
}

.promo {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.promo_header {
    margin-bottom: 1.5rem;
    text-align: center;
}

.region {
    display: flex;
    flex-direction: column;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    margin-top: 1rem;
    gap: 2rem;
}

.region_img {
    flex: 1;
    height: 360px;
    margin-bottom: 2rem;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: .5rem;
}

.region_img:hover {
    transform: scale(1.025);
    box-shadow: 4px 8px 24px 0 rgba(0,0,0,0.8);
    transition: all .5s ease;
}

.europe1 {
    background-image: url('../images/eu_1.jpg');
}

.europe2 {
    background-image: url('../images/eu_2.jpg');
}

.europe3 {
    background-image: url('../images/eu_3.jpg');
}

.south_am1 {
    background-image: url('../images/sa_1.jpg');
}

.south_am2 {
    background-image: url('../images/sa_2.jpg');
}

.south_am3 {
    background-image: url('../images/sa_3.jpg');
}

/* ------------------------ Footer ------------------------ */
.footer_container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer_section1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 1.5rem 0 3rem 0;
}

.footer_section2 {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 90vw;
    margin-top: 3rem;
}

.chat {
    display: flex;
    align-content: center;
}

.footer_menu {
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 0;
    margin-bottom: 1.5rem;
}

.footer_menu ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    list-style-type: none;
    text-decoration: none;
    font-size: 24px;
    text-transform: uppercase;
    gap: 1.5rem;
}

.footer_menu a {
    color: white;
    padding: 1.25rem 1.5rem;
}

.footer_menu a:hover {
    font-weight: 600;
    background-color: RGB(0, 50, 70);
}

.footer_logo img {
    width: 360px;
}

.email a {
    color: white;
}

.bottom {
    padding: 0 2rem 0 2rem;
}

.phone ul {
    display: flex;
    flex-direction: column;
    padding: 0;
}

.phone ul li {
    list-style-type: none;
    text-decoration: none;
}